×

Discussion Board

Results 1 to 13 of 13
  1. #1
    Registered User
    Join Date
    Oct 2007
    Posts
    16

    Using 1.4.5 modules on 1.9.5

    Hi, I am developing an application for 5800 which needs touch support. So I have to use Pys60 1.9.5 but i need to use some 1.4.5 third party modules like applicationmanager, miso, wlantools. What can I do to use this modules with Python 1.9.5?

  2. #2
    Nokia Developer Moderator
    Join Date
    May 2007
    Location
    21.46 N 72.11 E
    Posts
    3,796

    Re: Using 1.4.5 modules on 1.9.5

    You will need to build those modules for 1.9.x and then use them.

    Fyi, Miso is already available for 1.9.x.
    Pankaj Nathani
    www.croozeus.com

  3. #3
    Registered User
    Join Date
    Oct 2007
    Posts
    16

    Re: Using 1.4.5 modules on 1.9.5

    How can I rebuild them for 1.9.x ? Is there any tutorial?

  4. #4
    Nokia Developer Expert
    Join Date
    Apr 2007
    Posts
    131

    Re: Using 1.4.5 modules on 1.9.5

    Quote Originally Posted by oguzkirat View Post
    How can I rebuild them for 1.9.x ? Is there any tutorial?
    You need to make few changes to the 1.4.5 extension modules for building on 1.9.x. You can find the list of changes to be done in PyS60_1_9_x_README.txt(Porting PyS601.4.x scripts to PyS601.9.x) under the 1.9.x source.

  5. #5
    Registered User
    Join Date
    Oct 2007
    Posts
    16

    Re: Using 1.4.5 modules on 1.9.5

    I am sorry but I don't know how to use sdk or how to build a module. Could anyone build these modules for me and for every python developers?
    1.9.x and Python is not very useful without 3rd party modules especially who has a touch phone or wants to develop touch or sensor enabled applications.

  6. #6
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: Using 1.4.5 modules on 1.9.5

    Quote Originally Posted by oguzkirat View Post
    I am sorry but I don't know how to use sdk or how to build a module. Could anyone build these modules for me and for every python developers?
    1.9.x and Python is not very useful without 3rd party modules especially who has a touch phone or wants to develop touch or sensor enabled applications.
    hello oguzkirat

    ya its true that the PyS60 1.9.x is not effective without the modules but its not easy on other side to develop the module.

    so keep patience and i guess the individual developers will port the modules to 1.9.x .

    Regards
    Gaba88

  7. #7
    Regular Contributor
    Join Date
    Jul 2007
    Location
    Eindhoven, the Netherlands
    Posts
    187

    Re: Using 1.4.5 modules on 1.9.5

    Quote Originally Posted by oguzkirat View Post
    I am sorry but I don't know how to use sdk or how to build a module. Could anyone build these modules for me and for every python developers?
    1.9.x and Python is not very useful without 3rd party modules especially who has a touch phone or wants to develop touch or sensor enabled applications.
    You'll have to wait for the 3rd party module developers to make these available. For some code is available and perhaps others will do the port. Miso for 1.9.x has been announced recently, and I have ported LocationRequestor and Landmarks modules myself ( can be found here: http://code.google.com/p/tracker-py/downloads/list ).

    Perhaps it is a good idea to put up a wiki page with extensions that work for 1.9.x so that they can be easily located. Anyone want to volunteer?

    Mark.

  8. #8
    Registered User
    Join Date
    Oct 2007
    Posts
    16

    Re: Using 1.4.5 modules on 1.9.5

    Yes wiki can be useful when the other modules ported to 1.9.x we can easily reach them and use them. The modules are developed to be useful and reachable, aren`t they? If something like wiki page will be created, we will not have to search all the internet to find a module. Am I wrong?

  9. #9
    Super Contributor
    Join Date
    Mar 2003
    Location
    Espoo, Finland
    Posts
    976

    Re: Using 1.4.5 modules on 1.9.5

    The page is most likely this:
    http://wiki.forum.nokia.com/index.ph...hon_Extensions

    Maybe someone who uses/writes extensions could update it with PyS60 1.9.x info?

    Cheers,

    --jouni

  10. #10
    Nokia Developer Moderator
    Join Date
    May 2007
    Location
    21.46 N 72.11 E
    Posts
    3,796

    Smile Re: Using 1.4.5 modules on 1.9.5

    This is really needed. The current page has been pretty helpful as a centralized place to get all the existing extensions.

    Regarding adding new 1.9.x extensions on the wiki - I would prefer all they stuff on one page itself.

    What do you want?
    • Having a new page specially for 1.9.x extensions?
    • Having another table for 1.9.x on the current PyS60 extensions page?
    • Adding another column called "Compatibility" (which should indicate 1.4.x or 1.9.x/2.0.x) to the current table on PyS60 extensions page?


    Once decided I shall update the wiki page.
    Pankaj Nathani
    www.croozeus.com

  11. #11
    Registered User
    Join Date
    Oct 2007
    Posts
    16

    Re: Using 1.4.5 modules on 1.9.5

    Also, an announcement can be made in this forum's python category to reach the developers who wants to add their modules to wiki

  12. #12
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: Using 1.4.5 modules on 1.9.5

    Quote Originally Posted by oguzkirat View Post
    Also, an announcement can be made in this forum's python category to reach the developers who wants to add their modules to wiki

    ya thats there any good developer who develops something always make a announcement in the dibo.

    so no worries on that part i guess.
    Last edited by gaba88; 2009-06-11 at 11:58.

  13. #13
    Nokia Developer Moderator
    Join Date
    May 2007
    Location
    21.46 N 72.11 E
    Posts
    3,796

    Re: Using 1.4.5 modules on 1.9.5

    I just added a column on the existing page, "Ported to 1.9.x?"
    http://wiki.forum.nokia.com/index.ph...hon_Extensions

    Would like to see more additions there
    Pankaj Nathani
    www.croozeus.com

Similar Threads

  1. Python for S60 1.9.5 is now released
    By tvijayan in forum Symbian
    Replies: 8
    Last Post: 2009-05-30, 05:33
  2. Replies: 3
    Last Post: 2009-01-09, 18:53
  3. Importing Modules in Symbian emulators
    By Jesupauline in forum Symbian
    Replies: 0
    Last Post: 2008-03-05, 13:16
  4. Conditional compilation: managing set of modules
    By doctordwarf in forum Symbian
    Replies: 3
    Last Post: 2004-08-31, 14:01
  5. Modules
    By stenlik in forum Symbian Networking & Messaging (Closed)
    Replies: 1
    Last Post: 2004-06-09, 09:30

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×